package ru.yandex.webmaster3.core.semantic.semantic_document_parser.microdata.exceptions;

/**
 * Created by IntelliJ IDEA.
 * User: rasifiel
 * Date: 11/10/11
 * Time: 1:56 AM
 */
public class EnMicrodataValidatorExceptionSerializer extends AbstractMicrodataValidatorExceptionsSerializer {
    @Override
    protected String getAltWord() {
        return "or";
    }

    @Override
    protected String getErrorWord() {
        return "ERROR";
    }

    @Override
    protected String getWarningWord() {
        return "WARNING";
    }

    @Override
    protected String getMessagePrefix(final NoFieldMicrodataValidatorException ex) {
        return "field";
    }

    @Override
    protected String getMessagePostfix(final NoFieldMicrodataValidatorException ex) {
        return "is missing or empty";
    }

    @Override
    protected String getMessagePrefix(final MicrodataValidatorException ex) {
        return "";
    }

    @Override
    protected String getMessagePostfix(final MicrodataValidatorException ex) {
        return "";
    }

    @Override
    protected String getMessagePrefix(final YandexOrgTelMicrodataValidatorException ex) {
        return "for this category of organization field";
    }

    @Override
    protected String getMessagePostfix(final YandexOrgTelMicrodataValidatorException ex) {
        return "should be";
    }

    @Override
    protected String getMessagePrefix(final UnsupportedCountryMicrodataValidatorException ex) {
        return "sorry, but at this moment addresses from given country doesn't supported by directory of organizations";
    }

    @Override
    protected String getMessagePostfix(final UnsupportedCountryMicrodataValidatorException ex) {
        return "";
    }
}
